KDE 4.2 PyKDE API Reference

- KDE's Python API

# KSettings.Dispatcher Namespace Reference

`from PyKDE4.kutils.KSettings.Dispatcher import *`

## Detailed Description

Dispatch change notifications from the KCMs to the program.

Since your program does not have direct control over the KCMs that get loaded into KSettings.Dialog you need a way to get notified. This is what you do:

     Dispatcher.registerComponent(componentData(), this, "loadSettings");

Author:
  Matthias Kretz <kretz@kde.org>

## Functions

[QString] | componentNames ()
KSharedConfig.Ptr | configForComponentName (QString componentName)
| registerComponent (KComponentData componentData, QObject recv, QString slot)
| reparseConfiguration (QString componentName)
| syncConfiguration ()

## Function Documentation

[QString] componentNames | ( |  | self ) |

Returns:
  a list of all the componentData names that are currently registered

KSharedConfig.Ptr configForComponentName | ( | QString | componentName
| ) |  |  |

Returns:
  the KConfig object that belongs to the componentName

registerComponent | ( | KComponentData | componentData,
|  | QObject | recv,
|  | QString | slot
| ) |  |  |

Register a slot to be called when the configuration for the componentData has changed. componentData is the KComponentData object that is passed to KGenericFactory (if it is used). You can query it with KGenericFactory<YourClassName>.componentData(). componentData.componentName() is also the same name that is put into the .desktop file of the KCMs for the X-KDE-ParentComponents.

Parameters:

  | componentData | The KComponentData object
  | recv | The object that should receive the signal
  | slot | The slot to be called: "slotName"

reparseConfiguration | ( | QString | componentName
| ) |  |  |

Call this function when the configuration belonging to the associated componentData name has changed. The registered slot will be called.

Parameters:

  | componentName | The value of X-KDE-ParentComponents.

syncConfiguration | ( |  | self ) |

When this function is called the KConfig objects of all the registered instances are sync()ed. This is useful when some other KConfig objects will read/write from/to the same config file, so that you can first write out the current state of the KConfig objects.